Bug 239293 - htmlview should fallback to konqueror in KDE
htmlview should fallback to konqueror in KDE
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: htmlview (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks: FC7Target Fedora7LiveCD 311401
  Show dependency treegraph
 
Reported: 2007-05-07 09:34 EDT by Sebastian Vahl
Modified: 2008-02-08 11:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 11:17:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2007-05-07 09:34:04 EDT
Description of problem: 
htmlview only checks if firefox exists. Is this is not the case an error would 
be shown: "ERROR: The browser firefox does not exist.  Please reconfigure."
If /usr/bin/gnome-default-applications-properties doesn't exist that would be 
all.

On KDE LiveCD we don't have gnome-default-applications-properties. So after a 
installation to hard disk the user would not know how to reconfigure this. The 
best way here would be to fallback to konqueror in a KDE session. Or 
read "BrowserApplication" from ~/.kde/share/config/kdeglobals.



Version-Release number of selected component (if applicable): 


How reproducible:


Steps to Reproduce:
1. Install KDE LiveCD or remove firefox and 
gnome-default-applications-properties
2. Login into KDE
3. Launch htmlview
  
Actual results: Error Message


Expected results: konqueror would be startet


Additional info: I've misread #230023. So I've opened a single bug for this.
Comment 1 Warren Togami 2007-05-07 11:37:08 EDT
http://people.redhat.com/wtogami/temp/htmlview-4.0.0-2.fc7.noarch.rpm
Please see if this makes it behave as expected in the LiveCD.
Comment 2 Sebastian Vahl 2007-05-08 04:57:47 EDT
Konqueror would be startet now, but only in filebrowser mode. In
/usr/share/applications/kde/konqbrowser.desktop it says "kfmclient openProfile
webbrowsing". Maybe this one is better (and I've should have written that in my
first post).
Comment 3 Warren Togami 2007-05-09 14:07:52 EDT
http://people.redhat.com/wtogami/temp/htmlview-4.0.0-3.fc7.noarch.rpm
Please test this in two ways:
1) With GNOME installed, use Preferred Applications chooser and pick Konqueror,
then run htmlview with no parameters.
2) Same thing a #1, but run htmlview with a URL parameter.  Something like
htmlview http://google.com
3) Run htmlview in a KDE-only environment, like KDE Live CD.
Comment 4 Sebastian Vahl 2007-05-09 14:26:30 EDT
to 1) konqueror would be started with /usr/share/doc/HTML/index.html
to 2) konqueror is loading the given url

On LiveCD:
1) some as above
2) same as above

So it seems to work properly.
Comment 5 Warren Togami 2007-05-09 14:34:10 EDT
waiting for the buildsystem to come back
Comment 6 Matěj Cepl 2008-02-08 11:17:24 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages in Rawhide, which may have resolved this issue. Users who have
experienced this problem are encouraged to upgrade their system to the latest
version of their distribution available.

Closing this bug as CANTFIX. Please, reopen, if this bug is still reproducable
on the latest update of your distribution.

[This is mass-closing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if we are closing your bug in mistake; please, don't hesitate to
reopen, if it is still alive issue.]

Note You need to log in before you can comment on or make changes to this bug.